=== debian/changelog ===
linuxdcpp (1.1.0-1ubuntu2) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 May 2011 11:56:14 +0100

linuxdcpp (1.1.0-1ubuntu1) oneiric; urgency=low

  * Merge from Debian. (LP: #764196)
    + Fixes sorting in "Time Left" column. (LP: #397365)
  * Remaining Ubuntu changes:
    + debian/control, debian/control.in:
      - Depend on libappindicator-dev.
      - Depend on libnotify4-dev to build against libnotify 0.7.
    + debian/patches/ubuntu_indicator.patch:
      - Use an Ayatana application indicator.

 -- Maia Kozheva <sikon@ubuntu.com>  Fri, 29 Apr 2011 22:28:50 +0700

linuxdcpp (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Switched to 3.0 (quilt) package format.
  * Bumped standard versions to 3.9.2 
  * Bumped debian/compat to 7
  * Fixed Homepage: (Closes: #537412)

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 17 Apr 2011 23:13:52 -0500

linuxdcpp (1.0.3-1ubuntu2) maverick; urgency=low

  * No changes upload for libappindicator0 -> libappindicator1
    transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 24 Aug 2010 22:28:18 +0200

linuxdcpp (1.0.3-1ubuntu1) maverick; urgency=low

  * Added ubuntu_indicator.patch: Port to the App Indicator API.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 02 May 2010 15:48:56 +0700

linuxdcpp (1.0.3-1) unstable; urgency=low

  * New upstream release.
  Closes: #517544 
  * Updated watch file.
  * Removed dummy transitional package.
 
 -- Romain Beauxis <toots@rastageeks.org>  Sat, 28 Feb 2009 15:28:11 +0100

linuxdcpp (1.0.2-1) unstable; urgency=high

  * New upstream release
  * Setting urgency to high for the same reason as previous upload.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 07 Jul 2008 11:57:57 +0200

linuxdcpp (1.0.1+cvs20080706-1) unstable; urgency=high

  * New upstream release, adding required license exception 
    for SSL linking.
  * Exception for SSL link against a GPL code is required for
    debian. Hence, setting urgency to high.
  * Dropped patch applied upstream

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 06 Jul 2008 11:53:14 +0200

linuxdcpp (1.0.1-2) unstable; urgency=high

  * Fix two remote DoS. Closes: #488630
    Thanks to Steffen Joeris for the accurate report
  * Updated standards to 3.8.0
  * Added watch file

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 01 Jul 2008 14:18:16 +0200

linuxdcpp (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Added magnet support
    (Closes: #416879)
  * New description, provided upstream, thanks !
  * Updated standards to 3.7.3 (no changes)
  * Patched to build with GCC 4.3. Patch is minimal,
    current code still use deprecated headers.
    (Closes: #455342)

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 26 Dec 2007 02:35:22 +0100

linuxdcpp (1.0.0+cvs02112007-1) unstable; urgency=low

  * New upstream release 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 02 Nov 2007 20:36:10 +0100

linuxdcpp (1.0.0-1) unstable; urgency=low

  * Final 1.0.0 release ! 
  * Added Homepage: to debian/control

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 24 Sep 2007 00:35:20 +0200

linuxdcpp (0.0.1.cvs20070821-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 21 Aug 2007 15:29:09 +0200

linuxdcpp (0.0.1.cvs20070713-1) unstable; urgency=low

  *  New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 13 Jul 2007 02:03:46 +0200

linuxdcpp (0.0.1.cvs20070622-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 22 Jun 2007 04:21:04 +0200

linuxdcpp (0.0.1.cvs20070523-1) unstable; urgency=low

  * New upstream release 
  * Fix FTBFS with gcc 4.2, closes: #417239
  * Dropped no more needed nick encoding fix, applied upstream

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 23 May 2007 01:02:52 +0200

linuxdcpp (0.0.1.cvs20070414-1) unstable; urgency=low

  * Added patch to solve nick encoding issue, until a better solution has been
    implemented upstream.
    Closes: #416880

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 14 Apr 2007 19:00:49 +0200

linuxdcpp (0.0.1.cvs20070330-1) unstable; urgency=low

  * New upstream release

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 30 Mar 2007 01:09:05 +0200

linuxdcpp (0.0.1.cvs20070205-1) unstable; urgency=low

  * New upstream release
  * Fixed issues with characters encoding. (Closes: #356649)
  * Renamed binary package to linuxdcpp (Closes: #403507)

 -- Romain Beauxis <toots@rastageeks.org>  Mon,  5 Feb 2007 01:29:25 +0100

linuxdcpp (0.0.1.cvs20061208-1) unstable; urgency=low

  * New upstream release
  * Dropped patch for tightening linking, a solution has been implemented
    upstream.

 -- Romain Beauxis <toots@rastageeks.org>  Fri,  8 Dec 2006 15:50:58 +0100

linuxdcpp (0.0.1.cvs20061024-1) unstable ; urgency=low

  * New upstream release
  * Patched SContruct to remove unneeded ld flags, according to
  checklib

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 24 Oct 2006 16:46:05 +0200

linuxdcpp (0.0.1.cvs20060915-1) unstable; urgency=low

  * New upstream release: fixes rehashing at startup
  (Closes: 354202)

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 15 Sep 2006 14:48:52 +0200

linuxdcpp (0.0.1.cvs20060904-1) unstable; urgency=low

  * New upstream release: binary and path 
  changed from ldcpp to linuxdcpp
  * Renamed linuxdcpp.menu to linuxdcpp0.691.menu
  and corrected paths and package name (Closes: 382819)

 -- Romain Beauxis <toots@rastageeks.org>  Mon,  4 Sep 2006 17:38:04 +0200

linuxdcpp (0.0.1.cvs20060715-1) unstable; urgency=low

  * First release as linuxdcpp0.691
  * Upstream sync to DC++ core version 0.691,
  sources based on previous release are lost.
  * Lot of cleanup (see upstream changelog)

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 15 Jul 2006 09:51:51 +0200

linuxdcpp (0.0.1.cvs20060613-1) unstable; urgency=low

  * New upstream release
  * Now using scons build parameters

