=== debian/control ===
Source: linuxdcpp
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Romain Beauxis <toots@rastageeks.org>
Build-Depends: 
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 quilt,
 patchutils (>= 0.2.25),
 cdbs (>= 0.4.27),
 scons, 
 scons, 
 libbz2-dev, 
 libgtk2.0-dev, 
 libglade2-dev, 
 libssl-dev,
 libboost-dev,
 libnotify4-dev | libnotify-dev,
 libappindicator-dev
Homepage: http://launchpad.net/linuxdcpp/
Standards-Version: 3.9.2

Package: linuxdcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: linuxdcpp0.691
Description: Port of the Windows file-sharing program, DC++
 Direct connect is a peer-to-peer (P2P) file-sharing protocol. 
 Clients connect to a central hub where they can view a list of 
 clients or users connected to them. Users can search for files 
 and download them from other clients, as well as chat with other 
 users.
 .
 The most popular Windows client implementing this protocol 
 currently is DC++. LinuxDC++ is a Linux port of DC++. Though it is
 primarily aimed at Linux, it has been shown to work on other 
 Unix-based operating systems as well.
