=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/scons.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_INSTALL_MANPAGES_linuxdcpp := data/linuxdcpp.1
DEB_INSTALL_CHANGELOGS_linuxdcpp := Changelog.txt
DEB_SCONS_OPTIONS := release=1 PREFIX=/usr FAKE_ROOT=$(CURDIR)/debian/linuxdcpp

install/linuxdcpp::
	rm -rf $(CURDIR)/debian/linuxdcpp/usr/share/doc/linuxdcpp/License.txt 
	cp -rf $(CURDIR)/debian/icons/* $(CURDIR)/debian/linuxdcpp/usr/share/pixmaps
	cp $(CURDIR)/data/linuxdcpp.desktop $(CURDIR)/debian/linuxdcpp/usr/share/applications
	cp $(CURDIR)/data/magnet.protocol $(CURDIR)/debian/linuxdcpp/usr/share/services

clean::
	rm -rf build linuxdcpp po/linuxdcpp.pot
