=== debian/watch ===
version=3

https://launchpad.net/linuxdcpp/+download .*linuxdcpp-(.*)\.tar\.bz2
